{ pkgs ? import <nixpkgs> {} }: with pkgs;

mkShell {
  buildInputs = [ 
    redis
    bun
  ];
  
  shellHook =
  ''
    echo "
 __ __ ___ __ __  __   
|  V  | __|  V  |/__\  
| \_/ | _|| \_/ | \/ | 
|_| |_|___|_| |_|\__/  
"
redis-server &

export BUN_INSTALL="$HOME/.bun"
export PATH="$BUN_INSTALL/bin:$PATH"

bun run start
  '';
}
